Bug 735461 - System Templates should support packages by NVRE
Summary: System Templates should support packages by NVRE
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI
Version: 6.0.0
Hardware: Unspecified
OS: Unspecified
low
low vote
Target Milestone: Unspecified
Assignee: Partha Aji
QA Contact: Katello QA List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-02 17:42 UTC by Justin Sherrill
Modified: 2014-09-18 16:41 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-05-28 18:34:05 UTC


Attachments (Terms of Use)

Description Justin Sherrill 2011-09-02 17:42:05 UTC
Currently system templates only support package names in both:

1. Model validation
2. System Templates UI

In the future we should also support NVRE.

Comment 1 Ivan Necas 2011-09-05 14:10:38 UTC
Do I understand it right when I say katello should support this:
katello-0.1.63-1.git.6.4fbec47.fc15.noarch

katello template update_content --name SampleTemp --add_package --package katello-0.1.63-1.git.6.4fbec47.fc15.noarch --org=ACME_Corporation

Comment 2 Bryan Kearney 2011-09-06 14:26:21 UTC
yes... although more like ti would be:

katello-0.1.63-1

Comment 3 Lukas Zapletal 2011-11-10 10:04:09 UTC
Please note version should not be in the TDL export then. I guess we can only pass package names to the IF.

Comment 4 Lukas Zapletal 2011-12-07 14:45:53 UTC
Low prio, no info. AFAIK we support it. Justin?

Comment 5 Justin Sherrill 2011-12-07 15:00:15 UTC
Yes it was added by ivan (I think) at some point for the backend, but the frontend still does not support it yet.  We need to add it sooner or later, so we could either move this bz to on_qa or move it to a frontend member to complete the UI portion.

Comment 6 Bryan Kearney 2012-01-12 13:22:42 UTC
This is implemented in the CLI. Per comment 5, move it to the front end.

Comment 7 Mike McCune 2012-01-17 22:43:50 UTC
since CLI already has this lets get this into V1

Comment 8 Mike McCune 2012-01-26 19:38:40 UTC
mass move to CFSE product.

Comment 10 Eric Helms 2013-05-28 18:34:05 UTC
System templates is no longer a feature.


Note You need to log in before you can comment on or make changes to this bug.